package com.ruoyi.ems.mapper;

import java.util.List;

import com.ruoyi.ems.domain.FdEnergyPriceConfig;

/**
 * 非电能源价格配置Mapper接口
 *
 * @author ruoyi
 * @date 2025-08-16
 */
public interface FdEnergyPriceConfigMapper {
    /**
     * 查询非电能源价格配置
     *
     * @param id 非电能源价格配置主键
     * @return 非电能源价格配置
     */
    FdEnergyPriceConfig selectConfigById(Long id);

    /**
     * 查询非电能源价格配置列表
     *
     * @param config 非电能源价格配置
     * @return 非电能源价格配置集合
     */
    List<FdEnergyPriceConfig> selectList(FdEnergyPriceConfig config);

    /**
     * 新增非电能源价格配置
     *
     * @param config 非电能源价格配置
     * @return 结果
     */
    int insertConfig(FdEnergyPriceConfig config);

    /**
     * 修改非电能源价格配置
     *
     * @param config 非电能源价格配置
     * @return 结果
     */
    int updateConfig(FdEnergyPriceConfig config);

    /**
     * 删除非电能源价格配置
     *
     * @param id 非电能源价格配置主键
     * @return 结果
     */
    int deleteById(Long id);
}
